Customers
List business classifications
Returns a directory of business and industry classifications required for creating business verified customers. Each business classification contains multiple industry classifications. The industry classification ID must be provided in the businessClassification parameter during business customer creation for verification.
GET
/
business-classifications
cURL
GET https://api-sandbox.dwolla.com/business-classifications
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("business-classifications")
.then((res) => res.body._embedded["business-classifications"][0].name); // => 'Accommodation and Food Services'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
classifications = app_token.get('business-classifications')
classifications.body['_embedded']['business-classifications'][0]['name'] # => 'Accommodation and Food Services'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$businessClassificationsApi = new DwollaSwagger\BusinessClassificationsApi($apiClient);
$classifications = $businessClassificationsApi->_list();
$classifications->_embedded->{'business-classifications'}[0]->name; # => "Accommodation and Food Services"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
classifications = app_token.get "business-classifications"
classifications._embedded.['business-classifications'][0].name # => "Accommodation and Food Services"
{
"_links": {},
"_embedded": {
"business-classifications": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"_embedded": {
"industry-classifications": [
{
"id": "9ed3f66b-7d6f-11e3-95ac-5404a6144203",
"name": "Wineries"
}
]
},
"id": "9ed3f669-7d6f-11e3-b545-5404a6144203",
"name": "Food retail and service"
}
]
},
"total": 3
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/business-classifications
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
.get("business-classifications")
.then((res) => res.body._embedded["business-classifications"][0].name); // => 'Accommodation and Food Services'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
classifications = app_token.get('business-classifications')
classifications.body['_embedded']['business-classifications'][0]['name'] # => 'Accommodation and Food Services'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$businessClassificationsApi = new DwollaSwagger\BusinessClassificationsApi($apiClient);
$classifications = $businessClassificationsApi->_list();
$classifications->_embedded->{'business-classifications'}[0]->name; # => "Accommodation and Food Services"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
classifications = app_token.get "business-classifications"
classifications._embedded.['business-classifications'][0].name # => "Accommodation and Food Services"
{
"_links": {},
"_embedded": {
"business-classifications": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"_embedded": {
"industry-classifications": [
{
"id": "9ed3f66b-7d6f-11e3-95ac-5404a6144203",
"name": "Wineries"
}
]
},
"id": "9ed3f669-7d6f-11e3-b545-5404a6144203",
"name": "Food retail and service"
}
]
},
"total": 3
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}